Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ProtocolList Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ProtocolList:

[legend]
Collaboration diagram for RTCORBA::ProtocolList:

[legend]
List of all members.

## Public Types
typedef ProtocolList_var | _var_type
## Public Methods
| ProtocolList (void)
| ProtocolList (CORBA::ULong max)
| ProtocolList (CORBA::ULong max, CORBA::ULong length, Protocol *buffer, CORBA::Boolean release=0)
| ProtocolList (const ProtocolList &)
| ~ProtocolList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ProtocolList_var RTCORBA::ProtocolList::_var_type

## Constructor & Destructor Documentation

RTCORBA::ProtocolList::ProtocolList | ( | void |  | ) |

RTCORBA::ProtocolList::ProtocolList | ( | CORBA::ULong | max | ) |

RTCORBA::ProtocolList::ProtocolList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | Protocol * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

RTCORBA::ProtocolList::ProtocolList | ( | const ProtocolList & |  | ) |

RTCORBA::ProtocolList::~ProtocolList | ( | void |  | ) |

## Member Function Documentation

void RTCORBA::ProtocolList::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp